package com.ozs.controller.upload;

import com.ozs.config.AjaxResults;
import com.ozs.entity.BaseCameraManagement;
import com.ozs.entity.vo.CamerasVo;
import com.ozs.service.BaseCameraManagementService;
import com.ozs.utils.CameraUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.TimeUnit;

/**
 * @author Administrator
 */
@RestController
@Slf4j
public class PressureController {

    @Autowired
    private CameraUtil cameraUtil;
    @Autowired
    private BaseCameraManagementService baseCameraManagementService;

    /**
     * 天网数据压测
     */
    @GetMapping("/api/pressurePreviewURLs/{code}")
    public AjaxResults getWebToken(@PathVariable String code) throws InterruptedException {
        CamerasVo camerasVo = new CamerasVo();
        camerasVo.setCameraIndexCode(code);
        String msg = cameraUtil.apiPreviewURLs(camerasVo);
        return AjaxResults.success(msg);
    }
}
